Configuration
All operations require authentication.
List maintenancesBeta
Returns the maintenances of the service, with their schedule and status.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Date and time at which the maintenance was applied. Null when not yet applied.
Hash of the resource used for concurrency control
Human-readable description of the maintenance operations to be performed
Unique identifier of the maintenance window
Date and time at which the maintenance window is scheduled to start
Current status of the maintenance window
APPLIEDAPPLYINGERRORSCHEDULEDExample uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ mongodb/ {serviceId}/ maintenance \
-H "authorization: Bearer $OVH_TOKEN"[ { "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED" }]
Get a maintenanceBeta
Returns the operations planned by a maintenance, its schedule and its status.
Path parameters
Maintenance ID
Project ID
Service ID
Response
Date and time at which the maintenance was applied. Null when not yet applied.
Hash of the resource used for concurrency control
Human-readable description of the maintenance operations to be performed
Unique identifier of the maintenance window
Date and time at which the maintenance window is scheduled to start
Current status of the maintenance window
APPLIEDAPPLYINGERRORSCHEDULEDExample uses maintenanceId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ mongodb/ {serviceId}/ maintenance/ {maintenanceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}
Apply a maintenanceBeta
Applies a scheduled maintenance immediately, instead of waiting for its scheduled time.
Path parameters
Project ID
Service ID
Response
Date and time at which the maintenance was applied. Null when not yet applied.
Hash of the resource used for concurrency control
Human-readable description of the maintenance operations to be performed
Unique identifier of the maintenance window
Date and time at which the maintenance window is scheduled to start
Current status of the maintenance window
APPLIEDAPPLYINGERRORSCHEDULEDExample uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedDatabase/ mongodb/ {serviceId}/ maintenance \
-H "authorization: Bearer $OVH_TOKEN"{ "appliedAt": "2024-01-01T12:00:00Z", "checksum": "string", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "scheduledAt": "2024-01-01T12:00:00Z", "status": "APPLIED"}